export declare const config: {
    base: string;
    protocol: string;
};
export declare class APIError extends Error {
    apiErrors: Record<string, unknown>;
    constructor(object: Record<string, unknown>);
    toString(): string;
}
export declare function get(path: string): Promise<any>;
export declare function del(path: string): Promise<any>;
export declare function post(path: string, data: unknown): Promise<any>;
export declare function put(path: string, data: unknown): Promise<any>;
export declare function patch(path: string, data: unknown): Promise<any>;
